* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Root for farver og fonts til siden */
:root {
    --primary-color:#DEE2A4;
    --primary-font: "Lao Sangam MN";
    --secundary-font: "Roca";
 }

 @font-face {
    font-family: 'Lao Sangam MN';
    src: url('fonts/Lao Sangam MN.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


/* webskærm */
@media only screen and (min-width: 1100px) {
   
    /* Styling af header til desktop */
    header {
        position: fixed;
        top:0;
        left:5px;
        right:5px;
        width: 100%;
        z-index: 1000;
        background: transparent;
        padding: 5px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        text-transform: uppercase;
    }
    
    /* Styling af logo */
    header .logo{
        margin-left: 10px;
        padding-left: 0;
    }
    
    .logo{
        width: 10vw;
    
    }
    
    header .navbar ul {
        list-style: none;
    }
    
    header .navbar ul li {
        position: relative;
        float: left;
    }
    
    
    /* Styling af hovedmenu og undermenu */
    header .navbar ul li a {
        box-sizing: border-box;
        text-decoration: none;
        font-size: 15px;
        font-family: 'Lao Sangam MN', sans-serif;
        padding: 18px 70px;
        color: white;
        display: block;
        text-align: center;
    }
    
    header .navbar ul li a:hover {
        background: rgba(0,0,0,0.1);
        color: #fff;
    }
    
    /* Første niveau af undermenu */
    header .navbar ul li ul {
        box-sizing: border-box;
        position: absolute;
        left: 0;
        width: 200px; /* Ensartet bredde */
        background: transparent; /* Let baggrundsfarve for synlighed */
        display: none;
        padding: 0;
    }
    
    header .navbar ul li ul li {
        width: 100%; /* Ensartet bredde */
        border-top: 1px solid rgba(255, 255, 255, 0.2); /* Lysere kant for synlighed */
    }
    
    /* Styling af undermenu links */
    header .navbar ul li ul li a {
        padding: 10px 0; /* Juster padding for centrering */
        color: white; /* Sørger for, at teksten er synlig */
        text-align: center;
        width: 100%; /* Fyld hele bredden af menuen */
        display: block;
        box-sizing: border-box;
    }
    
    header .navbar ul li ul li a:hover {
        background: rgba(141, 137, 137, 0.2); /* Lysere hover for synlighed */
    }
    
    /* Næste niveau af undermenu */
    header .navbar ul li ul li ul {
        left: 100%; /* Justering til højre for første undermenu */
        top: 0;
        width: 200px; /* Ensartet bredde */
        background: transparent; /* Ensartet baggrund */
        display: none;
    }
    
    header .navbar ul li ul li ul a {
        padding: 10px 0; /* Juster padding for centrering */
        color: white; /* Sørger for synlig tekst */
        text-align: center;
        width: 100%; /* Fyld hele bredden af menuen */
        display: block;
        box-sizing: border-box;
    }
    
    /* Hover-effekt til at vise undermenuer */
    header .navbar ul li:hover > ul,
    header .navbar ul li ul li:hover > ul {
        display: block;
    }
    
    #menu-bar {
        display: none;
    }
  
    header label {
        font-size: 20px;
        color: #333;
        cursor: pointer;
        display: none;
    }

    /* Fjerner burgermenu/navigationsbaren til mobil for desktop */
    .burgermenu {
        display: none;
    }

    /* Styling af body */
    body {
    font-family: 'Lao Sangam MN', sans-serif;
    background-color: black;
    color: white;
    text-align: center;
    padding: 20px;
    line-height: 1.5rem;
}

main {
    padding-top: 10%;
}

/* Styling af overskrifter */
h1 {
    color: var(--primary-color, #DEE2A4);
    font-size: 3rem;
    margin-bottom: 10px;
    font-family: var(--secundary-font);
    margin-top: 40px;
}

h2{
    color: var(--primary-color);
    font-family: var(--secundary-font);
    margin-bottom: 2rem;
    text-align: center;
}

h3 {
    font-family: var(--secundary-font);
    color: var(--primary-color);
    padding-bottom: 1rem;
}

/* Fjerner billede som ikke bruges til desktopstørrelse */
.kalender {
    display: none;
}

/* Styling af knap */
.button {
    font-size: larger;
    font-family: lao sangam MN;
    border-radius: 40%;
    padding: 20px 50px;
    background-color: transparent;
    color: white;
    border: 2px solid white;
    transition-duration: 0.4s;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

button.button {
    display: flex;
    justify-content: flex-start;

}
.button:hover {
    background-color: rgba(211, 211, 211, 0.668); /* Ændring ved hover */
    color: white;
}

.knap {
    padding-left: 10%;
    padding-bottom: 2.5%;
    padding-top: 5%;
}

.arrow-left {
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-right:15px solid #757474 ;
}

.arrow-right {
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-left:15px solid #757474 ;
}


  .knap-tekst{
    font-size: 1rem;
        line-height: 1.5;
        margin-bottom: 10px;
        color: var(--primary-color);
        margin-right: 1rem;
        margin-left: 1rem;
        display: block;
        padding-top: 0.5rem;
  }

/* billeder */
.bookingweb {
    width: 80%; 
    object-fit: cover;
    padding-bottom: 10%;
}

.bookingmobile {
    display: none;/* fjerner billede*/
}

/* Styling af artikler */
.booking-content{
    display: flex;
    
    margin: 5rem 3rem 3rem 3rem;
}

.nybegynder-artikel{
    display: flex;
    flex-direction: column;
    width: 90%;
}

.nybegynder-img{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 4rem;
    
}

.nybegynder-img img{
    width: 80%;
    box-shadow: 0px 4px 12px rgba(255, 255, 255, 0.05);
}

.linebreak{
    display: block;
    margin-top: 2.5rem;
}

/* Styling af infographic afsnit */
.infographic{
    display: flex;
    justify-content: center;
    align-items: center;
}

.infographic-afsnit{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width:50%;
    
}

.infographic-img{
    width: 70%;    
}

/* Styling af courses afsnit/tektsbokse */
.courses-over{
    display:flex;
    justify-content:center;
}

.courses-afsnit{
    display: flex;
    margin-bottom: 4rem;
}

.drv-mode, .full-mode, .skill-mode{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: inherit;
    width: 50%;
    height: 80%;
    padding: 2rem;
}

/* Styling af footer begynder */
.footer {
    background-color:black; 
    color: white; 
    text-align: center; 
    padding: 20px; /* luft omkring footer */
    position: relative; /* får den til at blive i midten */
    padding-top: 90px;
    border-top: 1px solid var(--primary-color);
}

.footer p {
    margin: 5px 0; /* linjeafstand mellem de forskellige p'er */
    font-size: 0.9rem; 
    color: white;
}


/* Styling af ikoner i footer */
.social-icons {
    margin-top: 10px;
}

.social-icons a {
    margin: 0 10px;
    color: white; 
    font-size: 1.5rem; 
    text-decoration: none;
   
}

.social-icons a:hover {
    color: var(--primary-color); /* Highlight color on hover */
}
}



/* tablet */
@media only screen and (min-width: 601px) and (max-width: 1099px) {
     /* generel styling af header */
     header {
        position: fixed;
        top:0;
        left:5px;
        right:5px;
        width: 100%;
        z-index: 1000;
        background: transparent;
        padding: 5px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        text-transform: uppercase;
    }
    
    header .logo{
        margin-left: 10px;
        padding-left: 0;
    }
    
    .logo{
        width: 15vw;
    }
    
    .navbar {
        display: none;
    }
    
    nav{
        height: 60px;
        background-color: transparent;
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
    
    
    /* styling af tekst */
    nav a{
        height: 100%;
        padding: 0 20px;
        display: flex;
        align-items: center;
        text-decoration: none;
        color: black;
    }
    
    nav a:hover {
        background: rgba(0,0,0,0.5);
            color: #fff;
    }
    
    
    /* ikoner */
    nav svg .streger {
        fill: white;
    }
    
    nav svg .kryds {
        fill: rgb(0, 0, 0);
    }
    
    /* fjerner checkboks */
    #sidebar-active {
        display: none;
    }
    
    /* fjerner checkboks  */
    .open-sidebar-button, .close-sidebar-button {
        display: none;
    }
    
    
    /* styling for mobil specifikt */
    
    /* den boks der folder ud når man klikker de tre prikker */
    /* styling af selve burgermenuen (når man har klikket på stregerne) */
        .links-container{
            height: 100%;
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;
            background-color: var(--primary-color);
    
           flex-direction: column; /* vertikale menupunkter */
           align-items: flex-start; /* paceret i venstre side af container */
    
           position: fixed; /* nav baren følger med ved scroll */
           top: 0;
           right: -100%; /* boksen er per automatik skjult når den er -100% */
           z-index: 10;
           width: 300px;
           color: black;
    
           box-shadow: -5px 0 5px rgba(0,0,0,0.25);
           transition: 1s ease-out; /* smooth når man åbner baren */
    
        }
    
    nav a {
        box-sizing: border-box;
        height: auto;
        width: 100%;
        padding: 20px 30px;
        justify-content: flex-start; 
    }
    
    .open-sidebar-button, .close-sidebar-button {
        padding: 20px;
        display: block;
    }
    
    /* ~ styler links-container hvis det er søskende til #sidebar-active */
    /* pseudo klassen :cheked styler/reagerer når ikonet er "checked" altså når vi trykker på de tre streger*/
    #sidebar-active:checked ~ .links-container{
    right: 0;  /* når værdien er 0 er menuen fremme når den er -100  */
    }
    
    /* sørger for at vi klikker ud fra menu'en når vi klikker et andet sted på siden */
    #sidebar-active:checked ~ #overlay{
        height: 100%;
        width: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 9;
    }
    
    
    header label {
        font-size: 20px;
        color: #333;
        cursor: pointer;
        display: none;
    }
    
    #menu-bar {
        display: none;
    }

    main {
        padding-bottom: 10%;   
        padding-top: 15%;
       }
   
    
    body {
        /* font-family:"Roca"; */
        font-family: 'Lao Sangam MN', sans-serif;
        background-color: black;
        color: white;
        text-align: center;
        padding: 20px;
        line-height: 1.5rem;
    }

    /* Styling af overskrifter */
    h1 {
        color: var(--primary-color, #DEE2A4);
        font-size: 2.5rem;
        margin-bottom: 10px;
        font-family: var(--secundary-font);
        margin-top: 40px;
    }

    h2{
        color: var(--primary-color);
        font-family: var(--secundary-font);
        margin-bottom: 2rem;
        text-align: center;
    }
    
    h3 {
        font-family: var(--secundary-font);
        color: var(--primary-color);
        padding-bottom: 1rem;
    }
    
    /* Fjerner billede af kalender ikon */
    .kalender {
        display: none;
    }

/* Styling af knap */
.button {
    font-size: larger;
    font-family: lao sangam MN;
    border-radius: 40%;
    padding: 20px 50px;
    background-color: transparent;
    color: white;
    border: 2px solid white;
    transition-duration: 0.4s;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    
}

button.button {
    display: flex;
    justify-content: flex-start;

}
.button:hover {
    background-color: rgba(211, 211, 211, 0.668); /* Ændring ved hover */
    color: white;
}

.knap {
    padding-left: 10%;
    padding-bottom: 2.5%;
    padding-top: 5%;
}

.arrow-left {
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-right:15px solid #757474 ;
}

.arrow-right {
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-left:15px solid #757474 ;
}


  .knap-tekst{
    font-size: 1rem;
        line-height: 1.5;
        margin-bottom: 10px;
        color: var(--primary-color);
        margin-right: 1rem;
        margin-left: 1rem;
        display: block;
        padding-top: 0.5rem;
  }


/* billeder */

    .bookingweb {
        width: 80%; 
        object-fit: cover;
        padding-bottom:2.5rem;
    }
    
    .bookingmobile {
        display: none;/* fjerner billede*/
    }
    
    /* Styling af artikler */
    .courses-over{
        display:flex;
        justify-content:center;
    }
    
    .courses-afsnit{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-bottom: 2rem;
    }
    
    .drv-mode, .full-mode, .skill-mode{
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 80%;
        height: 100%;
        padding: 2rem;
    }

    /* Styling af infographic */
.infographic{
    display: flex;
    justify-content: center;
    align-items: center;
}

.infographic-afsnit{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width:80%;
    
}

.infographic-img{
    width: 70%;    
}

/* Styling af nybegynder artikel */
.booking-content{
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    margin: 3rem 3rem 3rem 3rem;
}

.nybegynder-artikel{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 70%;
}

.nybegynder-img{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 4rem;
    margin-right: 4rem;
    margin-bottom: 3rem;
    width: 90%;
}

.nybegynder-img img{
    width: 100%;
    box-shadow: 0px 4px 12px rgba(255, 255, 255, 0.05);
}

.linebreak{
    display: block;
    margin-top: 2.5rem;
}

    /* footer */
    .footer {
        background-color:black; 
        color: white; 
        text-align: center; 
        padding: 20px; /* luft omkring footer */
        position: relative; /* får den til at blive i midten */
        padding-top: 90px;
        border-top: 1px solid var(--primary-color);
    }
    
    .footer p {
        margin: 5px 0; /* linjeafstand mellem de forskellige p'er */
        font-size: 0.9rem; 
        color: white;
    }
    
    
    /* Styling af ikoner i footer */
    .social-icons {
        margin-top: 10px;
    }
    
    .social-icons a {
        margin: 0 10px;
        color: white; 
        font-size: 1.5rem; 
        text-decoration: none;
       
    }
    
    .social-icons a:hover {
        color: var(--primary-color); /* Highlight color on hover */
    }
}










/* Mobil */
@media only screen and (max-width: 600px) {

    header {
        position: fixed;
        top:0;
        left:5px;
        right:5px;
        width: 100%;
        z-index: 1000;
        background: transparent;
        padding: 5px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        text-transform: uppercase;
    }
    
    header .logo{
        margin-left: 10px;
        padding-left: 0;
    }
    
    .logo{
        width: 15vw;
    }
    
    .navbar {
        display: none;
    }
    
    nav{
        height: 60px;
        background-color: transparent;
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
    
    
    /* styling af tekst */
    nav a{
        height: 100%;
        padding: 0 20px;
        display: flex;
        align-items: center;
        text-decoration: none;
        color: black;
    }
    
    nav a:hover {
        background: rgba(0,0,0,0.5);
            color: #fff;
    }
    
    
    /* ikoner */
    nav svg .streger {
        fill: white;
    }
    
    nav svg .kryds {
        fill: rgb(0, 0, 0);
    }
    
    /* fjerner checkboks */
    #sidebar-active {
        display: none;
    }
    
    /* fjerner checkboks  */
    .open-sidebar-button, .close-sidebar-button {
        display: none;
    }
    
    
    /* styling for mobil specifikt */
    
    /* den boks der folder ud når man klikker de tre prikker */
    /* styling af selve burgermenuen (når man har klikket på stregerne) */
        .links-container{
            height: 100%;
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;
            background-color: var(--primary-color);
    
           flex-direction: column; /* vertikale menupunkter */
           align-items: flex-start; /* paceret i venstre side af container */
    
           position: fixed; /* nav baren følger med ved scroll */
           top: 0;
           right: -100%; /* boksen er per automatik skjult når den er -100% */
           z-index: 10;
           width: 300px;
           color: black;
    
           box-shadow: -5px 0 5px rgba(0,0,0,0.25);
           transition: 1s ease-out; /* smooth når man åbner baren */
    
        }
    
    nav a {
        box-sizing: border-box;
        height: auto;
        width: 100%;
        padding: 20px 30px;
        justify-content: flex-start; 
    }
    
    .open-sidebar-button, .close-sidebar-button {
        padding: 20px;
        display: block;
    }
    
    /* ~ styler links-container hvis det er søskende til #sidebar-active */
    /* pseudo klassen :cheked styler/reagerer når ikonet er "checked" altså når vi trykker på de tre streger*/
    #sidebar-active:checked ~ .links-container{
    right: 0;  /* når værdien er 0 er menuen fremme når den er -100  */
    }
    
    /* sørger for at vi klikker ud fra menu'en når vi klikker et andet sted på siden */
    #sidebar-active:checked ~ #overlay{
        height: 100%;
        width: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 9;
    }
    
    
    header label {
        font-size: 20px;
        color: #333;
        cursor: pointer;
        display: none;
    }
    
    #menu-bar {
        display: none;
    }
    main {
        padding-bottom: 10%;   
        padding-top: 20%;
       }

    body {
        /* font-family:"Roca"; */
        font-family: 'Lao Sangam MN', sans-serif;
        background-color: black;
        color: white;
        text-align: center;
        padding: 20px;
        line-height: 1.5rem;
    }
    
    /* Styling af overskrifter */
    h1 {
        color: var(--primary-color, #DEE2A4);
        font-size: 2.5rem;
        margin-bottom: 10px;
        font-family: var(--secundary-font);
        margin-top: 40px;
    }

    h2{
        color: var(--primary-color);
        font-family: var(--secundary-font);
        margin-bottom: 2rem;
        text-align: center;
    }
    
    h3 {
        font-family: var(--secundary-font);
        color: var(--primary-color);
        padding-bottom: 1rem;
    }

    /* Kalender billede til mobil styles */
    .kalender {
    width: 10%;
    justify-content: center;
    padding-bottom: 5%;
    padding-top: 10%;
}

    /* Knappen fjernes til mobilvisning */
    .knap{
        display: none; 
    }

    .bookingweb {
        display: none; /* fjerner billede*/
    }
    
    .bookingmobile {
        width: 70%; 
        object-fit: cover;
        padding-bottom: 3rem;
    }
    
        /* Styling af tekstbokse */
        .courses-over{
            display:flex;
            justify-content:center;
        }
        
        .courses-afsnit{
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            margin-bottom: 2rem;
        }
        
        .drv-mode, .full-mode, .skill-mode{
            display: flex;
            flex-direction: column;
            justify-content: center;
            width: 80%;
            height: 100%;
            padding: 2rem;
        }
    
        /* Styling af infographic */
    .infographic{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    .infographic-afsnit{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width:80%;
        
    }
    
    .infographic-img{
        width: 70%;    
    }
    
    /* Styling af nybegynder artikel */
    .booking-content{
        display: flex;
        flex-direction: column-reverse;
       justify-content: center;
       align-items: center;
       margin-top: 3rem;
    }
    
    .nybegynder-artikel{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 90%;
    }
    
    .nybegynder-img{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        margin-bottom: 2rem;
    }
    
    .nybegynder-img img{
        width: 70%;
        box-shadow: 0px 4px 12px rgba(255, 255, 255, 0.05);
    }
    
    .linebreak{
        display: block;
        margin-top: 2.5rem;
    }


    /* Styling af footer */
    .footer {
        background-color:black; 
        color: white; 
        text-align: center; 
        padding: 1rem; /* luft omkring footer */
        position: relative; /* får den til at blive i midten */
        margin-top: 3rem;
        border-top: 1px solid var(--primary-color);
    }
    
    .footer p {
        margin: 0.6rem 0; /* linjeafstand mellem de forskellige p'er */
        font-size: 0.9rem; 
        color: white;
    }
    
    
    /* Styling af ikoner i footer */
    .social-icons {
        margin-top: 10px;
    }
    
    .social-icons a {
        margin: 0 10px;
        color: white; 
        font-size: 1.5rem; 
        text-decoration: none;
       
    }
    
    .social-icons a:hover {
        color: var(--primary-color); /* Highlight color on hover */
    }

}